Filter all paymentsAsk AIpost https://api.tryspeed.com/payments/filterFilter the list of payments using this endpoint.Body Paramsidsarray of stringsPlease specify the ids of the payments through which you want to filter the payments.idsADD stringstatusarray of stringsDefaults to paidPlease specify the status for which the list should be filtered.status stringADD stringamountobjectThis parameter can be used to filter payments based on the amount. Please enter the amount into one of the following mutually exclusive parameters.amount objectcurrencyarray of stringsPlease specify the currencies for which payments should be filtered. A three-lettered ISO-compliant currency name must be used.currencyADD stringtarget_amountobjectThis parameter can be used to filter payments based on the target_amount. Please enter the target_amount into one of the following mutually exclusive parameters.target_amount objecttarget_currencyarray of stringsPlease specify the target currencies for which payments should be filtered.target_currencyADD stringtarget_amount_paidobjectThis parameter can be used to filter payments based on the target_amount_paid. Please enter the target_amount_paid into one of the following mutually exclusive parameters.target_amount_paid objectlimitint32Defaults to 5A limit specifies the number of objects to be returned, between 1 and 10. The default and maximum page size have 10 objects per page, and it is consistent across endpoints.starting_afterstringThis is one of the pagination parameters. Enter the ID of any payment object here to retrieve the next page of the list starting after the ID you specified. Starting after and ending before are mutually exclusive and can only be used once.ending_beforestringThis is one of the pagination parameters. Enter the ID of any payment object here to retrieve the previous page of the list ending before the ID you specified. Starting after and ending before are mutually exclusive and can only be used once.createdobjectThis parameter can be used to filter payments based on the time they were created. Please enter the timestamp into one of the following mutually exclusive parameters.created objectHeadersspeed-versionstringenumDefaults to 2022-04-15In this parameter, you can specify the version you want. As of now, there are two versions (2022-04-15 and 2022-10-15). Version 2022-10-15 supports on-chain, lightning, Ethereum, Tron and Solana payment methods. Whereas the 2022-04-15 version only supports lightning payments.2022-04-152022-10-15Allowed:2022-04-152022-10-15Response 200200Updated 7 months ago